package com.rjconsultores.ventaboletos.service;

import java.util.Date;
import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.Estado;
import com.rjconsultores.ventaboletos.exception.BusinessException;
import com.rjconsultores.ventaboletos.utilerias.fiscal.vo.FiscalRdi;
import com.rjconsultores.ventaboletos.vo.bpe.BPeVO;

public interface BpeService {

	public List<FiscalRdi> buscarBpeRDI(Date inicio, Date fim, Empresa empresa, List<Estado> estados, boolean isReceitaTerceiros, boolean consultaOtimizada);

	public String buscarArquivoExportacaoBPE(Date inicio, Date fim, Empresa empresa, Estado estado, String nomeArquivo, boolean consultaOtimizada);

	public String buscarXmlBPE(String chBpe);
	
	public List<BPeVO> buscarBPeRejeitadosContingencia(Integer empresaId, String numBpe, String chbpe, Date dtVendaInicio, Date dtVendaFim, List<Integer> estados, List<String> codigosRejeicoes);
	
	public void definirBPeRejeitadoSefazReenvio(List<BPeVO> bpesReenvio) throws BusinessException;
	
	public List<BPeVO> buscarBPeVendaEEventosAutorizados(Integer empresaId, Date dtVendaInicio, Date dtVendaFim, Integer estadoId);
	
	public byte[] extrairXmlsBPe(List<BPeVO> bpes);

}
